Sendle offers domestic services to US-based accounts and both domestic and international services to Australia-based accounts.
This guide provides developers with the details needed to build Sendle shipping capabilities into your ShipStation API workflows.
If you are using or plan to use the Sendle services included with ShipStation API, rather than connecting your own Sendle account, see our Sendle from ShipStation guide.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
sendle_id | string | required | Your Sendle account ID |
api_key | string | required | Your Send account API key |
You can obtain your Sendle ID and API key by logging into your Sendle account and going to the API settings.
- Your Sendle account must have your billing details before you can connect to ShipStation API successfully.
- You must have agreed to Sendle's account terms and conditions before you can access your Sendle ID and API key.
- International shipments originating from Australia require both the Ship To email address and phone number.
You can connect a Sendle account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
carrier_name: sendle
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/sendle HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Sendle account",
"sendle_id": "123456789",
"api_key": "asdf-6541-lkjp-3214"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
To connect a Sendle account via the ShipStation API dashboard:
- Log into your dashboard.
- Go to the Carriers page and click Connect my accounts.
- Click Sendle.
The Sendle connection pop-up will appear. - Enter your Sendle ID and API key into the corresponding fields.
- Click Connect.
To access your Sendle ID and API key, log in to your Sendle account and go to Settings. Go to the API tab and add your website. Once you agree to Sendle's terms and conditions, you can click Claim Access and copy your ID and API key.
Sendle supports rate shopping with ShipStation API.
Sendle automatically sends your contracted rates to ShipStation API. Please note that for Australia-based accounts, rates include GST.
The available services with Sendle are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Origin Countries |
|---|---|---|
| Sendle Standard - Pickup | sendle_flat_rate | AU, US |
| Sendle Standard - Drop Off | sendle_standard_drop_off | AU, US |
| Sendle Express | sendle_express | AU |
| Sendle Saver - Pickup | sendle_saver_pickup | US |
| Sendle Saver - Drop Off | sendle_saver_drop_off | US |
| Sendle 3-Day Guaranteed - Pickup | sendle_3_day_pickup | US |
| Sendle 3-Day Guaranteed - Drop Off | sendle_3_day_drop_off | US |
| Sendle 2-Day Guaranteed - Pickup | sendle_2_day_pickup | US |
| Sendle 2-Day Guaranteed Drop Off | sendle_2_day_drop_off | US |
NOTE:
When using Drop Off services, the Ship From address cannot be a PO Box or parcel locker.
| Service | API Code | Origin Countries |
|---|---|---|
| Sendle International | sendle_international | AU |
Sendle supports creating return labels for all domestic services. The recipient (who is returning the parcel) must drop parcel off at a supported drop-off point.
Review the Return Shipping Labels page for details on creating return labels with ShipStation API.
The following carrier package types are available for Sendle services:
| Name | API Code | Package Attributes |
|---|---|---|
| Parcel | sendle_parcel | Domestic |
| Unlimited Satchel | sendle_unlimited_satchel | Domestic (AU only). When using this package type, enter weight as 500 grams. |
You can also use the generic package type or custom package types.
Sendle supports adding carrier insurance to shipments created with ShipStation API. US accounts can also insure using ParcelGuard, our exclusive partner insurance provider. Review our insurance page for details on adding insurance to your shipments.
Sendle provides default coverage, which differs based on country and can differ based on service.
- AU shipments: $100 AUD
- US shipments: either $100 USD or $150 USD, depending on service.
- Label sizes: 4" x 6", 4" x 8"
- Label formats: PDF
- Supports unicode characters: unknown
Sendle supports adding custom label messages.
- Label Message 1 = customer reference (max characters, 255)
- Label Message 2 = receiver instructions (max characters, 200, but recommend under 40 to fit on label) If blank, defaults to confirmation type.
- Label Message 3 = sender instructions (max characters, 200, but recommend under 40 to fit on label)
Sendle does not support creating multi-package shipments.
Sendle does not support label branding.
Sendle supports voiding labels with ShipStation API.
See our Void a Label page for details about voiding labels with ShipStation API.
Sendle does not support paperless labels.
Customs declarations are printed on a CN22 label. There are no additional documents to download or print.
| Confirmation Type | API Code | Description |
|---|---|---|
| Authority to leave | none | No confirmation requested. |
| No authority to leave | delivery | Delivery confirmation is requested. |
See our Delivery Confirmation page for more details about using the confirmation property.
Sendle supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
non_machinable | boolean | false | Indicates that the package cannot be processed through sorting machines. |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Sendle does not require manifesting your shipments.
Sendle does not support scheduling pickups using ShipStation API. Creating a label using a non-drop off service automatically schedules a pickup from Sendle, using the shipment's Ship From address.
See Sendle's Parcel Pickups Explained page for details.
Sendle does not support shipping to service points.
ShipStation API's integration with Sendle supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.